.block-pxl-icons .icon-item .icon span{line-height:100%;}
.icons-container{display:flex;margin:0;gap:var(--wp--style--block-gap, 40px);align-items:stretch;flex-wrap:wrap;}
.block-pxl-icons .icon-item{flex:1 !important;border:2px solid #00324F1F;border-radius: 16px;min-width:180px !important;}

.block-pxl-icons a.icon-item p{color:inherit;}

icon-item-content > *:last-child{margin-bottom:0;}

.block-pxl-icons .icon-item.icon-top{display:flex;flex-flow:column;justify-content:flex-start;align-self: stretch;}

.block-pxl-icons .icon-item.icon-left,
.block-pxl-icons .icon-item.icon-right{display:flex;}
.block-pxl-icons .icon-item.icon-right{flex-flow:row-reverse;}

.block-pxl-icons .icon-item.icon-left .icon{padding-right:20px;flex: auto;}
.block-pxl-icons .icon-item.icon-right .icon{padding-left:20px;flex: auto;}
.block-pxl-icons .icon-item.icon-left .icon-item-content,
.block-pxl-icons .icon-item.icon-right .icon-item-content{flex:1000;}/*make sure fills remiaingin width*/

.block-pxl-icons .icon-item.icon-left .icon-item-content *:first-child,
.block-pxl-icons .icon-item.icon-right .icon-item-content *:first-child{margin-top:0;}
.block-pxl-icons .icon-item.icon-left .icon-item-content *:last-child,
.block-pxl-icons .icon-item.icon-right .icon-item-content *:last-child{margin-bottom:0;}

.block-pxl-icons .itemgrid.thirds .icon-item.icon-left,
.block-pxl-icons .itemgrid.thirds .icon-item.icon-right{min-width:240px;}

.icon{--fa-primary-color: var(--primary);--fa-secondary-color: var(--primary);}
.icon--has-secondary{--fa-secondary-color: var(--secondary);--fa-secondary-opacity:1.0;}

.icon-svg-file{display:inline-block;width:auto;}
.icon-svg-file svg{height: 100% !important;width: auto !important;}

.block-pxl-icons.is-style-boxed .icon span{background-color:var(--fa-primary-color);color:#fff;display:inline-block;width:1.5em; height:1.5em;line-height:1.6em;text-align:center;border-radius:var(--radius);}
.block-pxl-icons.is-style-circled .icon span{background-color:var(--fa-primary-color);color:#fff;display:inline-block;width:1.7em; height:1.7em;line-height:1.8em;text-align:center;border-radius:2em;}

@media( max-width: 767px ){
  .block-pxl-icons .itemgrid.thirds .icon-item,
  .block-pxl-icons .itemgrid.fourths .icon-item{flex:0 0 50%;}
}
@media( max-width: 530px ){
  .block-pxl-icons .itemgrid.thirds .icon-item.icon-left,
  .block-pxl-icons .itemgrid.thirds .icon-item.icon-right{flex:0 0 100%;}
}

@media( max-width: 480px ){
  .block-pxl-icons .itemgrid .icon-item{flex:0 0 100% !important;}
}